Method: legacyConfiguration.legacyGetMaximumAlertsGroupingConfiguration

Full name: projects.locations.instances.legacyConfiguration.legacyGetMaximumAlertsGroupingConfiguration

Returns the system-wide maximum number of alerts that can be grouped into a single case. Use this method to retrieve the upper limit configured for the instance's automated case consolidation logic.

HTTP request

GET https://{endpoint}/v1alpha/{instance}/legacyConfiguration:legacyGetMaximumAlertsGroupingConfiguration

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
instance

string

Required. The name of the parent resource, which is the SecOps instance to get the maximum alerts grouping configuration for. Format: projects/{project}/locations/{location}/instances/{instance}

Request body

The request body must be empty.

Response body

Request message for LegacyGetMaximumAlertsGroupingConfiguration.

If successful, the response body contains data with the following structure:

JSON representation
{
  "payload": integer
}
Fields
payload

integer

Required. The resource name of the LegacyConfiguration to retrieve. Format: projects/{project}/locations/{location}/instances/{instance}/legacyConfiguration:legacyGetMaximumAlertsGroupingConfiguration

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the instance resource:

  • chronicle.legacyConfiguration.getMaximumAlertsGroupingConfiguration

For more information, see the IAM documentation.